package com.ruoyi.benyun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class TopologicalStoreWd {
    @TableField("around_wd_id")
    private String aroundWdId;
    @TableField("around_wd_name")
    private String aroundWdName;
    @TableField("around_wd_type_code")
    private String aroundWdTypeCode;
    @TableField("distance")
    private double distance;

    @TableField("addr_code")
    private String addrCode;

    @TableField("addr_code_info")
    private String addrCodeInfo;

    @TableField("addr_info")
    private String addrInfo;

    @TableField("industry_code")
    private String industryCode;

    @TableField("manage_type_code")
    private String manageTypeCode;

    @TableField("analyse_time")
    private LocalDateTime analyseTime;

    @TableField("brand_id")
    private String brandId;

    public TopologicalStoreWd(WdInfo wdInfo) {
        this.aroundWdId = wdInfo.getWdId();
        this.aroundWdName = wdInfo.getWdName();
        this.aroundWdTypeCode = wdInfo.getWdTypeCode();
        this.addrCode = wdInfo.getAddrCode();
        this.addrInfo = wdInfo.getAddrInfo();
    }

    public TopologicalStoreWd() {
    }
}
